Bug 7798 - emacs-X11 - unpacking of archive failed: cpio: Bad magic
emacs-X11 - unpacking of archive failed: cpio: Bad magic
Status: CLOSED DUPLICATE of bug 7830
Product: Red Hat Raw Hide
Classification: Retired
Component: emacs (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
: 7782 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-13 16:33 EST by Jaroslaw Sosnicki
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-17 14:06:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 1999-12-13 16:33:00 EST
rawhide-release-19991213-1.noarch.rpm

when installing emacs-X11 the folowing message is generated
emacs-X11    ##################################################
unpacking of archive failed: cpio: Bad magic
Comment 1 Jeff Johnson 1999-12-14 12:42:59 EST
This message is usually caused by a damaged rpm.

What does
	rpm2cpio emacs-X11 | cpio -itv
have to say? If "premature end of file", then the package is somehow
damaged.
Comment 2 Jaroslaw Sosnicki 1999-12-14 21:02:59 EST
pm2cpio emacs-X11-20.4-5.i386.rpm | cpio -itv
-rw-r--r--   1 root     root          196 Dec  8 05:02
etc/X11/applnk/Applications/emacs.desktop
-rw-r--r--   1 root     root           95 Dec  8 05:02 etc/X11/wmconfig/emacs
-rwxr-xr-t   2 root     root            0 Dec  8 05:02 usr/bin/emacs
-rwxr-xr-t   2 root     root      2903024 Dec  8 05:02 usr/bin/emacs-20.4
cpio: premature end of file
Comment 3 dunwoody 1999-12-17 03:02:59 EST
*** Bug 7782 has been marked as a duplicate of this bug. ***
Comment 4 dunwoody 1999-12-17 03:08:59 EST
I get the same results as slavko@home.com from the rpm2cpio pkg.rpm |cpio -itv
test.

Since emacs-X11-20.4.5.i386.rpm was made available, two new, unrelated rpms
have appeared on rawhide with the same problem:

isapnptools-1.21-1.i386.rpm
lesstif-2.0-devel-0.89.4-1.i386.rpm

So it would appear this is not an emacs problem, but more likely an rpm
packaging problem.
Comment 5 dunwoody 1999-12-17 03:14:59 EST
This bug is a duplicate of 7830 and should be closed (I can't do that myself).
Comment 6 Bill Nottingham 1999-12-17 14:06:59 EST
*** This bug has been marked as a duplicate of 7830 ***

Note You need to log in before you can comment on or make changes to this bug.